<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Systems/Bot/Bot_TimedWait.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d64/_bot___timed_wait_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Bot_TimedWait.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d64/_bot___timed_wait_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d2/d5f/class_bot_event_wait_timeout.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d5f/class_bot_event_wait_timeout.html">BotEventWaitTimeout</a> : <a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> { };</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">class </span>BotTimedWait <span class="keyword">extends</span> <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a664df0abff4cfeb8e4125923cee24806">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> = 0.0;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a4e13db33d69e4733f9e10cffcda7d514">    7</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> m_Timeout = 3.0;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a0c15acdaf052a20ed5001d2b676f3711">    8</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> m_Periodic = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a222da4a54e7d019bd0521b4f188173bf">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a222da4a54e7d019bd0521b4f188173bf">BotTimedWait</a> (<a class="code hl_class" href="../../de/d69/class_bot.html">Bot</a> bot = NULL, <a class="code hl_class" href="../../d6/d45/class_bot_state_base.html">BotStateBase</a> parent = NULL, <span class="keywordtype">float</span> timeout = 3.0)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_Timeout = timeout;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">OnEntry</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> = 0.0;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        super.<a class="code hl_function" href="../../d5/db3/class_weapon_fire.html#a28fb759c1a43b0ee59abd3a856303abc">OnEntry</a>(e);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">OnExit</a> (<a class="code hl_class" href="../../dd/d84/class_bot_event_base.html">BotEventBase</a> e)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> = 0.0;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        super.OnExit(e);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">OnUpdate</a> (<span class="keywordtype">float</span> dt)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        super.OnUpdate(dt);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> += dt;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordtype">float</span> rescanTime = <a class="code hl_variable" href="../../d6/d45/class_bot_state_base.html#a4e13db33d69e4733f9e10cffcda7d514">m_Timeout</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> &gt;= rescanTime)</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a0d76e85f1a42842fb12db5a317855cfc">OnTimeout</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">if</span> (m_Periodic)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> = 0.0;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                <a class="code hl_variable" href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a> = -1.0;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d6/d45/class_bot_state_base.html#a0d76e85f1a42842fb12db5a317855cfc">   47</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d45/class_bot_state_base.html#a0d76e85f1a42842fb12db5a317855cfc">OnTimeout</a> ()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../d9/d1c/_bot_8c.html#a28d5d7d6fb28048af5ba4e06653d5ec4">botDebugSpam</a>(<span class="stringliteral">&quot;[bot] + &quot;</span> + m_Owner + <span class="stringliteral">&quot; BotTimedWait::OnTimeout&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        m_Bot.ProcessEvent(<span class="keyword">new</span> <a class="code hl_class" href="../../d2/d5f/class_bot_event_wait_timeout.html">BotEventWaitTimeout</a>(m_Owner));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="ttc" id="a_bot_8c_html_a28d5d7d6fb28048af5ba4e06653d5ec4"><div class="ttname"><a href="../../d9/d1c/_bot_8c.html#a28d5d7d6fb28048af5ba4e06653d5ec4">botDebugSpam</a></div><div class="ttdeci">void botDebugSpam(string s)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00187">Bot.c:187</a></div></div>
<div class="ttc" id="a_weapon_fire_8c_html_a126e3ea2e23a8fededbff9547ad0ccb4"><div class="ttname"><a href="../../d5/d6b/_weapon_fire_8c.html#a126e3ea2e23a8fededbff9547ad0ccb4">m_dtAccumulator</a></div><div class="ttdeci">class WeaponFireWithEject extends WeaponFire m_dtAccumulator</div></div>
<div class="ttc" id="aclass_bot_event_base_html"><div class="ttname"><a href="../../dd/d84/class_bot_event_base.html">BotEventBase</a></div><div class="ttdoc">represents event that triggers transition from state to state</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df2/_bot_events_8c_source.html#l00004">BotEvents.c:5</a></div></div>
<div class="ttc" id="aclass_bot_event_wait_timeout_html"><div class="ttname"><a href="../../d2/d5f/class_bot_event_wait_timeout.html">BotEventWaitTimeout</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00002">Bot_TimedWait.c:2</a></div></div>
<div class="ttc" id="aclass_bot_html"><div class="ttname"><a href="../../de/d69/class_bot.html">Bot</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d1c/_bot_8c_source.html#l00018">Bot.c:19</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html">BotStateBase</a></div><div class="ttdoc">represent weapon state base</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d38/_bot___hunt_8c_source.html#l00015">Bot_Hunt.c:16</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a0d76e85f1a42842fb12db5a317855cfc"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a0d76e85f1a42842fb12db5a317855cfc">BotStateBase::OnTimeout</a></div><div class="ttdeci">void OnTimeout()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00047">Bot_TimedWait.c:47</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a222da4a54e7d019bd0521b4f188173bf"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a222da4a54e7d019bd0521b4f188173bf">BotStateBase::BotTimedWait</a></div><div class="ttdeci">void BotTimedWait(Bot bot=NULL, BotStateBase parent=NULL, float timeout=3.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00010">Bot_TimedWait.c:10</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a4e13db33d69e4733f9e10cffcda7d514"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a4e13db33d69e4733f9e10cffcda7d514">BotStateBase::m_Timeout</a></div><div class="ttdeci">protected float m_Timeout</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00007">Bot_TimedWait.c:7</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a5c1a678175d5b3bb5f37bb7b6af368bb"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a5c1a678175d5b3bb5f37bb7b6af368bb">BotStateBase::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00029">Bot_TimedWait.c:29</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_a71c560e9a695082f63741f6c6839b5b4"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#a71c560e9a695082f63741f6c6839b5b4">BotStateBase::OnEntry</a></div><div class="ttdeci">override void OnEntry(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00015">Bot_TimedWait.c:15</a></div></div>
<div class="ttc" id="aclass_bot_state_base_html_aa86fa14cbf4a61eab0626061a7504253"><div class="ttname"><a href="../../d6/d45/class_bot_state_base.html#aa86fa14cbf4a61eab0626061a7504253">BotStateBase::OnExit</a></div><div class="ttdeci">override void OnExit(BotEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d64/_bot___timed_wait_8c_source.html#l00022">Bot_TimedWait.c:22</a></div></div>
<div class="ttc" id="aclass_weapon_fire_html_a28fb759c1a43b0ee59abd3a856303abc"><div class="ttname"><a href="../../d5/db3/class_weapon_fire.html#a28fb759c1a43b0ee59abd3a856303abc">WeaponFire::OnEntry</a></div><div class="ttdeci">override void OnEntry(WeaponEventBase e)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_weapon_fire_8c_source.html#l00100">WeaponFire.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_fb922471f7527a278c6309872d86c75c.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_39d73f2d5d370a78e7bd95801ee9f1ae.html">Bot</a></li><li class="navelem"><a class="el" href="../../df/d64/_bot___timed_wait_8c.html">Bot_TimedWait.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
